com.jnape.palatable.lambda.functions.builtin.fn1

## Class Size

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn1.Size

- All Implemented Interfaces:
    Fn1<Iterable<?>,Long>, Applicative<Long,Fn1<Iterable<?>,?>>, Cartesian<Iterable<?>,Long,Fn1<?,?>>, Cocartesian<Iterable<?>,Long,Fn1<?,?>>, Contravariant<Iterable<?>,Profunctor<?,Long,Fn1<?,?>>>, Functor<Long,Fn1<Iterable<?>,?>>, Profunctor<Iterable<?>,Long,Fn1<?,?>>, Monad<Long,Fn1<Iterable<?>,?>>, MonadReader<Iterable<?>,Long,Fn1<Iterable<?>,?>>, MonadRec<Long,Fn1<Iterable<?>,?>>, MonadWriter<Iterable<?>,Long,Fn1<Iterable<?>,?>>

      public final class Size
      extends Object
      implements Fn1<Iterable<?>,Long>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `checkedApply(Iterable<?> iterable)` Invoke this function with the given argument, potentially throwing any `Throwable`.
    `static Size` | `size()`
    `static Long` | `size(Iterable<?> iterable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, apply, carry, cartesian, censor, choose, cocartesian, compose, contraMap, diMap, diMapL, diMapR, discardL, discardR, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, widen, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Long checkedApply(Iterable<?> iterable)

      Description copied from interface: `Fn1`
      Invoke this function with the given argument, potentially throwing any `Throwable`.
      Specified by:
        `checkedApply` in interface `Fn1<Iterable<?>,Long>`
      Parameters:
        `iterable` - the argument
      Returns:
        the result of the function application

    - #### size

          public static Size size()

    - #### size

          public static Long size(Iterable<?> iterable)